Show / Hide Table of Contents

# Interface IOpenIddictAuthorizationStoreResolver

Exposes a method allowing to resolve an authorization store.

###### Namespace: OpenIddict.Abstractions

###### Assembly: cs.temp.dll.dll

##### Syntax

    public interface IOpenIddictAuthorizationStoreResolver

### Methods

#### Get<TAuthorization>()

Returns an authorization store compatible with the specified authorization type or throws an System.InvalidOperationException if no store can be built using the specified type.

##### Declaration

    IOpenIddictAuthorizationStore<TAuthorization> Get<TAuthorization>()
        where TAuthorization : class

##### Returns

Type | Description
--- | ---
IOpenIddictAuthorizationStore<TAuthorization> | An IOpenIddictAuthorizationStore<TAuthorization>.

##### Type Parameters

Name | Description
--- | ---
TAuthorization | The type of the Authorization entity.